Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class WebRuleSet

    java.lang.Object
      org.apache.tomcat.util.digester.RuleSetBase
          org.apache.catalina.startup.WebRuleSet

All Implemented Interfaces:
  RuleSet

public class WebRuleSet
extends RuleSetBase

RuleSet for processing the contents of a web application deployment descriptor (`/WEB-INF/web.xml`) resource.

Version:
  $Revision: 550262 $ $Date: 2007-06-24 11:27:18 -0600 (Sun, 24 Jun 2007) $
Author:
  Craig R. McClanahan

Field Summary
`protected org.apache.catalina.startup.SetJspConfig` | `jspConfig` The `SetJspConfig` rule used to parse the web.xml
`protected org.apache.catalina.startup.SetLoginConfig` | `loginConfig` The `SetLoginConfig` rule used to parse the web.xml
`protected java.lang.String` | `prefix` The matching pattern prefix to use for recognizing our elements.
`protected org.apache.catalina.startup.SetSessionConfig` | `sessionConfig` The `SetSessionConfig` rule used to parse the web.xml

Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`WebRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`WebRuleSet(java.lang.String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Method Summary
`void` | `addRuleInstances(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
`void` | `recycle()` Reset counter used for validating the web.xml file.

Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

  The matching pattern prefix to use for recognizing our elements.

### sessionConfig

    protected org.apache.catalina.startup.SetSessionConfig sessionConfig

  The `SetSessionConfig` rule used to parse the web.xml

### loginConfig

    protected org.apache.catalina.startup.SetLoginConfig loginConfig

  The `SetLoginConfig` rule used to parse the web.xml

### jspConfig

    protected org.apache.catalina.startup.SetJspConfig jspConfig

  The `SetJspConfig` rule used to parse the web.xml

Constructor Detail

### WebRuleSet

    public WebRuleSet()

  Construct an instance of this `RuleSet` with the default matching pattern prefix.

### WebRuleSet

    public WebRuleSet(java.lang.String prefix)

  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

Method Detail

### addRuleInstances

    public void addRuleInstances(Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Specified by:
    `addRuleInstances` in interface `RuleSet`
  Specified by:
    `addRuleInstances` in class `RuleSetBase`
  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

### recycle

    public void recycle()

  Reset counter used for validating the web.xml file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.